Bug 197496 - [HeapWalker] subclass filter is not applied
[HeapWalker] subclass filter is not applied
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 14:38 UTC by Tomas Hurka
Modified: 2011-04-08 08:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2011-04-06 14:38:33 UTC
Steps to reproduce:
1) open heap dump
2) find all classes containing java.awt.Component
3) right-click on java.awt.Component class and select 'Show only subclasses'

Filter is not applied automatically, user has to click on 'Apply new filter'.
Comment 1 Tomas Hurka 2011-04-06 19:12:47 UTC
This problem only happens if the text in the search field is the same as the FQN of the class, for which user want find subclasses. In such case no property-change is fired from FilterComponent.setFilterString()
Comment 2 Tomas Hurka 2011-04-07 06:50:23 UTC
Fixed in profiler-main

changeset:   192057:dcbcb4533d0c
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Apr 07 08:48:46 2011 +0200
summary:     bugfix #197496, use setFilterValues() instead of setFilterType() and setFilterString()
Comment 3 Quality Engineering 2011-04-08 08:50:36 UTC
Integrated into 'main-golden', will be available in build *201104080400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dcbcb4533d0c
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #197496, use setFilterValues() instead of setFilterType() and setFilterString()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo